<?php namespace EscapeWork\Manager\Press\Repositories;

use EscapeWork\LaravelHelpers\BaseRepository;
use EscapeWork\Manager\Press\Models\Press;
use DB;

class PressRepository extends BaseRepository
{

    public function __construct(Press $press)
    {
        $this->model = $press;
    }

    public function getPaginated()
    {
        return $this->model->with('downloads')->orderBy('date', 'desc')->paginate(20);
    }

    /**
     * Buscando para o site
     */
    public function search($params = array())
    {
        $query = $this->model->with('downloads');

        if (count($params) == 0) {
            $query->take(4);
        }

        if (isset($params['mes']) && $params['mes'] != '') {
            $query->where(DB::raw('MONTH(date)'), '=', $params['mes']);
        }

        if (isset($params['ano']) && $params['ano'] != '') {
            $query->where(DB::raw('YEAR(date)'), '=', $params['ano']);
        }

        return $query->orderBy('date', 'desc')->get();
    }

    public function getDistinctYears()
    {
        return $this->model->select(DB::raw('DISTINCT YEAR(presses.date) as year'))
                           ->active()
                           ->get();
    }
}
