@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a></li>
        <li class="active">Imprensa</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Imprensa</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            @if (Check::can('press', 'create'))
                <a href="{{ route('manager.press.create') }}" class="btn btn-primary">Inserir nova matéria</a>
            @endif
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

   @include('manager::inc.messages')

    @if (Check::can('press', 'read'))
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Título</th>
                    <th>Data</th>
                    <th>Ativo</th>
                    <th width="18%">Ações</th>
                </tr>
            </thead>
            <tbody class="sortable">
                @foreach ($presses as $press)
                    <tr>
                        <td>{{ $press->id }}</td>
                        <td>{{ $press->title }}</td>
                        <td>{{ date('d/m/y', strtotime(str_replace('-', '/', $press->date))) }}</td>
                        <td><input type="checkbox"  value="1" data-id="{{ $press->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.press.update', $press->id) }}" {{ $press->active ? 'checked="checked"' : null }} /></td>
                        <td>
                            <div class="btn-group btn-group-sm">
                                <a href="{{ manager_media_route($press) }}" class="btn btn-default" title="fotos">
                                    <i class="glyphicon glyphicon-camera"></i> fotos
                                </a>

                                @if (Check::can('press', 'update'))
                                    <a href="{{ route('manager.press.edit', $press->id) }}" class="btn btn-default" title="Editar">
                                        <i class="glyphicon glyphicon-pencil"></i> editar
                                    </a>
                                @endif

                                @if (Check::can('press', 'destroy'))
                                    <a href="{{ route('manager.press.destroy', $press->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                        <i class="glyphicon glyphicon-trash"></i> excluir
                                    </a>
                                @endif
                            </div><!-- .btn-group -->
                        </td>
                    <tr>
                @endforeach
            </tbody>
    @endif
@stop

